import { EventEmitter } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicCheckboxModel, DynamicCheckboxGroupModel, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicFormControlComponent, DynamicFormControlLayout } from "@ng-dynamic-forms/core";
import * as i0 from "@angular/core";
export declare class DynamicNGxBootstrapCheckboxGroupComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    formLayout?: DynamicFormLayout;
    group: FormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicCheckboxGroupModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    focus: EventEmitter<any>;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService);
    getCheckboxId(model: DynamicCheckboxModel): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGxBootstrapCheckboxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGxBootstrapCheckboxGroupComponent, "dynamic-ngx-bootstrap-checkbox-group", never, { "formLayout": "formLayout"; "group": "group"; "layout": "layout"; "model": "model"; }, { "blur": "blur"; "change": "change"; "focus": "focus"; }, never, never>;
}
