import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormComponent, DynamicFormComponentService, DynamicFormControlEvent, DynamicFormLayout, DynamicFormModel, DynamicTemplateDirective } from "@ng-dynamic-forms/core";
import { DynamicNGxBootstrapFormControlContainerComponent } from "./dynamic-ngx-bootstrap-form-control-container.component";
import * as i0 from "@angular/core";
export declare class DynamicNGxBootstrapFormComponent extends DynamicFormComponent {
    protected changeDetectorRef: ChangeDetectorRef;
    protected componentService: DynamicFormComponentService;
    group: FormGroup;
    model: DynamicFormModel;
    layout?: DynamicFormLayout;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    bsEvent: EventEmitter<DynamicFormControlEvent>;
    templates: QueryList<DynamicTemplateDirective>;
    components: QueryList<DynamicNGxBootstrapFormControlContainerComponent>;
    constructor(changeDetectorRef: ChangeDetectorRef, componentService: DynamicFormComponentService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGxBootstrapFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGxBootstrapFormComponent, "dynamic-ngx-bootstrap-form", never, { "group": "group"; "model": "model"; "layout": "layout"; }, { "blur": "blur"; "change": "change"; "focus": "focus"; "bsEvent": "bsEvent"; }, ["templates"], never>;
}
