import { EventEmitter } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicFormControlComponent, DynamicFormControlLayout, DynamicRatingModel } from "@ng-dynamic-forms/core";
import * as i0 from "@angular/core";
export declare class DynamicNGxBootstrapRatingComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    formLayout?: DynamicFormLayout;
    group: FormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicRatingModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    focus: EventEmitter<any>;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGxBootstrapRatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGxBootstrapRatingComponent, "dynamic-ngx-bootstrap-rating", never, { "formLayout": "formLayout"; "group": "group"; "layout": "layout"; "model": "model"; }, { "blur": "blur"; "change": "change"; "focus": "focus"; }, never, never>;
}
